mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Enum | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Field | System.AttributeTargets.Interface | System.AttributeTargets.Delegate | System.AttributeTargets.All, AllowMultiple=false, Inherited=false)

Security-critical operations are actions that affect code access security, such as elevation of privilege through suppression of code access security checks by using the method, calling unsafe managed code, and so forth. Either the attribute or the attribute must be applied to code for the code to perform security-critical operations.

The is equivalent to a link demand for full trust. A type or member marked with the can be called only by fully trusted code; it does not have to demand specific permissions. It cannot be called by partially trusted code.

Applying the at the assembly level identifies the assembly as a security-critical assembly. The entire assembly can be identified as critical by setting the scope parameter .

Specifies that code or an assembly performs security-critical operations.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is provided for compatibility with the .NET Framework version 2.0 transparency model. It does not apply to the net_v40_long. For more information, see Security-Transparent Code, Level 2.

  Initializes a new instance of the class with the specified scope.

  One of the enumeration values that specifies the scope of the attribute.
- Property
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Security.SecurityCriticalScope To be added. To be added.

  Gets the scope for the attribute.